//
// Created by sebastian on 06.08.26.
//

#include "SimpleTexturedMesh.h"

void engine::SimpleTexturedMesh::bind() const {
    m_vao->bind();
}

void engine::SimpleTexturedMesh::unbind() const {
    m_vao->unbind();
}

void engine::SimpleTexturedMesh::draw() const {
    glDrawArrays(GL_TRIANGLES, 0, 6);
}
